Subject: [PATCH] tty: amba-pl011: add support for 32-bit register access for earlycon

From: [email-masked] (Peter Hurley)
Date: Thu, 17 Dec 2015 09:06:39 -0800

On 12/17/2015 08:47 AM, Timur Tabi wrote:
> Greg Kroah-Hartman wrote:
>>> >There was some disagreement about the usage of
>>> >access_32b vs uap->port.iotype for determining whether we need 32-bit
>>> >accessors or not.
>> There was?  I missed that, please send follow-on patches to resolve the
>> issue if there is one.
> 
> I can submit a patch that provides an alternative implementation, but I'm pretty sure Russell won't like it.
> 
> For reference:
> 
> http://www.spinics.net/lists/linux-serial/msg19710.html
> 
> Russell said that UPIO_MEM is supposed to be literally only 8-bit access, but then Peter Hurley posted this:
> 
> http://www.spinics.net/lists/linux-serial/msg19930.html
> 
> which you applied.  So my patch would remove access_32b and use UPIO_MEM32/UPIO_MEM instead.  It would be a little weird having both patches in your tree, I guess.

I think it'll be ok if you just send a patch to use UPIO_MEM32
instead; I think that situation mostly had to do with inertia
and not wanting to rebase a series like that (which I can
appreciate).

The worst that happens is Russell objects, but I think there's a
good case for the simpler UPIO_MEM32 usage, which plays nice
with earlycon.

Regards,
Peter Hurley